
Summary:       K Desktop Environment 4 - Core Files
Version:       3.94.0
Release:       2%{?dist}

%if 0%{?fedora} > 9
Name:          kdebase
Epoch:         6

Obsoletes:     kdebase4 < %{version}-%{release}
Provides:      kdebase4 = %{version}-%{release}

%else
Name:          kdebase4
%endif

License:       GPLv2
Group:         User Interface/Desktops
URL:           http://www.kde.org/
Source0:       ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdebase-%{version}.tar.bz2
Patch0:        kdebase-3.94.0-dolphin-desktop.diff
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kde-filesystem
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: kdelibs4 >= %{version}
Requires: kdepimlibs >= %{version}
%ifnarch s390 s390x
Requires: eject
%endif

# should not conflict with d3lphin, but does with old Dolphin
Conflicts:     dolphin <= 0.8.2

BuildRequires: alsa-lib-devel
BuildRequires: bzip2-devel
# needed?
BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: cmake
BuildRequires: cyrus-sasl-devel
BuildRequires: doxygen
BuildRequires: fontconfig-devel
BuildRequires: gettext
BuildRequires: hal-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
# needed?
BuildRequires: libart_lgpl-devel
# needed?
BuildRequires: libfontenc-devel
BuildRequires: libusb-devel
BuildRequires: OpenEXR-devel
# needed?
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: pkgconfig
BuildRequires: qimageblitz-devel
# samba support
%if 0%{?fedora} > 6 || 0%{?rhel} > 5
BuildRequires: libsmbclient-devel
%else
BuildRequires: samba
%endif
BuildRequires: soprano-devel
BuildRequires: strigi-devel
BuildRequires: xine-lib-devel
# needed for phonon-xine VideoWidget, also need xine-lib built with libxcb support
%if 0%{?fedora} >= 8
BuildRequires:  libxcb-devel
%endif
# needed?
BuildRequires: xorg-x11-font-utils
BuildRequires: xorg-x11-proto-devel
BuildRequires: zlib-devel
# extraneous?  add these back to kdelibs4-devel Requires? maybe -- Rex
BuildRequires: gamin-devel giflib-devel libacl-devel pcre-devel

%description
Core runtime requirements and applications for the K Desktop Environment 4.
This package does not include the KDE 4 versions of applications which are
provided by KDE 3 because of file and configuration setting conflicts.
WARNING: This is a beta version. It probably has many bugs left.
Also, the API and ABI are NOT fully stable yet (soft freeze only).

%package devel
Group:    Development/Libraries
Summary:  Header files for kdebase4
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%if "%{name}" != "kdebase4"
Obsoletes: kdebase4-devel < %{version}-%{release}
Provides:  kdebase4-devel = %{version}-%{release}
%endif
Requires: kdelibs4-devel kdepimlibs4-devel
%description devel
Header files for developing applications using %{name}.
WARNING: This is a beta version. It probably has many bugs left.
Also, the API and ABI are NOT fully stable yet (soft freeze only).


%prep
%setup -q -n kdebase-%{version}
%patch0 -p1


%build

mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# omit gigantic oxygen scalable/svg icons, for now -- Rex
find %{buildroot}%{_kde4_iconsdir}/oxygen/scalable -name "*.svgz" | xargs --no-run-if-empty rm -fv 

# remove files which conflict with KDE 3
rm -rf %{buildroot}%{_kde4_iconsdir}/hicolor
rm -rf %{buildroot}%{_kde4_iconsdir}/crystalsvg
rm -rf %{buildroot}%{_datadir}/emoticons
rm -rf %{buildroot}%{_kde4_datadir}/locale
rm -rf %{buildroot}%{_kde4_datadir}/autostart
rm -rf %{buildroot}%{_kde4_sysconfdir}/xdg/menus
rm -rf %{buildroot}%{_kde4_datadir}/desktop-directories
rm -rf %{buildroot}%{_kde4_docdir}/HTML/en/k*
rm -rf %{buildroot}%{_kde4_datadir}/config
rm -f %{buildroot}%{_kde4_datadir}/config.kcfg/k*.kcfg %{buildroot}%{_kde4_datadir}/config.kcfg/mediamanagersettings.kcfg
rm -f %{buildroot}%{_kde4_datadir}/sounds/KDE_*.ogg
# binaries: conflict with kdebase
rm -f %{buildroot}%{_kde4_bindir}/drkonqi
rm -f %{buildroot}%{_kde4_bindir}/kbookmarkmerger
rm -f %{buildroot}%{_kde4_bindir}/kdebugdialog
rm -f %{buildroot}%{_kde4_bindir}/kdeeject
rm -f %{buildroot}%{_kde4_bindir}/kdepasswd
rm -f %{buildroot}%{_kde4_bindir}/kdeprintfax
rm -f %{buildroot}%{_kde4_bindir}/kdesu
rm -f %{buildroot}%{_kde4_bindir}/kdesud
rm -f %{buildroot}%{_kde4_bindir}/kdialog
rm -f %{buildroot}%{_kde4_bindir}/keditbookmarks
rm -f %{buildroot}%{_kde4_bindir}/keditfiletype
rm -f %{buildroot}%{_kde4_bindir}/kfind
rm -f %{buildroot}%{_kde4_bindir}/kfmclient
rm -f %{buildroot}%{_kde4_bindir}/khc_docbookdig.pl
rm -f %{buildroot}%{_kde4_bindir}/khc_htdig.pl
rm -f %{buildroot}%{_kde4_bindir}/khc_htsearch.pl
rm -f %{buildroot}%{_kde4_bindir}/khc_indexbuilder
rm -f %{buildroot}%{_kde4_bindir}/khelpcenter
rm -f %{buildroot}%{_kde4_bindir}/kinfocenter
rm -f %{buildroot}%{_kde4_bindir}/kio_media_mounthelper
rm -f %{buildroot}%{_kde4_bindir}/kjobviewer
rm -f %{buildroot}%{_kde4_bindir}/klocaldomainurifilterhelper
rm -f %{buildroot}%{_kde4_bindir}/knetattach
rm -f %{buildroot}%{_kde4_bindir}/konqueror
rm -f %{buildroot}%{_kde4_bindir}/konsole
rm -f %{buildroot}%{_kde4_bindir}/kprinter
rm -f %{buildroot}%{_kde4_bindir}/kreadconfig
rm -f %{buildroot}%{_kde4_bindir}/kstart
rm -f %{buildroot}%{_kde4_bindir}/ktrash
rm -f %{buildroot}%{_kde4_bindir}/kwrite
rm -f %{buildroot}%{_kde4_bindir}/kwriteconfig
rm -f %{buildroot}%{_kde4_bindir}/nspluginscan
rm -f %{buildroot}%{_kde4_bindir}/nspluginviewer
# binaries: conflict with kdelibs
rm -f %{buildroot}%{_kde4_bindir}/kcmshell
rm -f %{buildroot}%{_kde4_bindir}/kfile
rm -f %{buildroot}%{_kde4_bindir}/khotnewstuff
rm -f %{buildroot}%{_kde4_bindir}/kinstalltheme
rm -f %{buildroot}%{_kde4_bindir}/kioexec
rm -f %{buildroot}%{_kde4_bindir}/ksvgtopng
# binaries: conflict with kdebase-extras
rm -f %{buildroot}%{_kde4_bindir}/kappfinder
# do not strictly conflict, but we removed the corresponding binaries:
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_kcmshell.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_keditbookmarks.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_kfmclient.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_khelpcenter.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_kinfocenter.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_kjobviewer.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_konqueror.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_konsole.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_kprinter.so
rm -f %{buildroot}%{_kde4_libdir}/libkdeinit4_kwrite.so
# we also removed the binaries for these:
rm -f %{buildroot}%{_kde4_datadir}/applications/kde4/Help.desktop
rm -f %{buildroot}%{_kde4_datadir}/applications/kde4/Home.desktop
rm -f %{buildroot}%{_kde4_datadir}/applications/kde4/k*.desktop
rm -f %{buildroot}%{_kde4_datadir}/applications/kde4/quick-access-konsole.desktop

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so)
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_appsdir}/*
%{_kde4_datadir}/config.kcfg/
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/*
%{_kde4_iconsdir}/oxygen/
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_docdir}/HTML/en/
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/libkdeinit4_*.so
%{_kde4_libdir}/kde4/*
%exclude %{_kde4_libdir}/kde4/devel/

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/kde4/devel/lib*.so


%changelog
* Thu Oct 25 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.94.0-2
- patch dolphin.desktop to get Dolphin to start from the menu

* Fri Oct 19 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.94.0-1
- update to 3.94.0

* Thu Oct 4 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-5
- don't make this the default kdebase on F9 yet
- drop ExcludeArch: ppc64 (#300601)

* Fri Sep 21 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-4
- ExcludeArch: ppc64 (#300601)
- update description

* Thu Sep 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-3
- add missing BR alsa-lib-devel

* Wed Sep 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-2
- remove files which conflict with KDE 3
- move devel symlinks to %%{_kde4_libdir}/kde4/devel/
- Conflicts with KDE 3 versions of dolphin pre d3lphin rename

* Wed Sep 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-1
- update to 3.93.0
- drop kde4home patch (no longer applied)
- drop KDM ConsoleKit patch (KDM is now in kdebase-workspace)
- remove kdebase-kdm Obsoletes/Provides (for the same reason)
- remove KDM (and KDM session) setup code (for the same reason)
- remove rss-glx conflict (Plasma is now in kdebase-workspace)
- remove redhat-startkde patch (startkde is now in kdebase-workspace)
- remove kde4-opt.sh (all the code in it is commented out)
- remove kde4-xdg_menu_prefix.sh (only needed for kdebase-workspace)
- remove bogus BRs on automake and libtool
- remove workspace-only BRs
- add BR qimageblitz-devel, xine-lib-devel (all), libxcb-devel (F8+)
- remove workspace files and directories
- handle icons (moved from kdelibs4)
- add mkdir %%{buildroot} in %%install

* Tue Aug 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-4
- use macros.kde4
- License: GPLv2

* Mon Jul 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.92.0-3
- bump rss-glx Conflicts because the conflict is still there in 0.8.1.p-7.fc8
- rss-glx conflict only needed if "%%{_prefix}" == "/usr"
- consolekit_kdm patch only needs BR dbus-devel, not ConsoleKit-devel

* Mon Jul 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-2
- consolekit_kdm patch (#228111, kde#147790)
- update startkde patch

* Sat Jul 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-1
- kde-3.92 (kde-4-beta1)

* Wed Jul 25 2007 Than Ngo <than@redhat.com> - 3.91.0-6
- fix startkde
- add env/shutdown directory

* Thu Jul 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-5
- kde4.desktop: fix session Name

* Tue Jul 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-4
- cleanup/fix kde4.desktop
- kdepimlibs4->kdepimlibs

* Thu Jun 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-3
- fix %%_sysconfdir for %%_prefix != /usr case.

* Thu Jun 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-2
- updated kde4home.diff
- CMAKE_BUILD_TYPE=RelWithDebInfo (we're already using %%optflags)

* Wed Jun 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-1
- kde-3.91.0
- CMAKE_BUILD_TYPE=debug

* Sat Jun 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.90.1-2
- specfile cleanup (%%prefix issues mostly)

* Sun May 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.90.1-1
- update to 3.90.1
- bump cmake BR to 2.4.5 as required upstream now
- don't set execute bits by hand anymore, cmake has been fixed
- use multilibs in /opt/kde4
- add BR openssl-devel, NetworkManager-devel, bluez-libs-devel
- add explicit BRs on strigi-devel, zlib-devel, bzip2-devel, libpng-devel
  in case we want to drop the Rs on these from kdelibs4-devel
- consistently add all BRs as -devel Rs, not just almost all, until we can
  figure out which, if any, are really needed
- BR libsmbclient-devel instead of samba on F>=7, EL>=6

* Fri Mar 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-4
- restore minimum version requirement for cmake
- build against libxklavier on EL5
- don't set QT4DIR and PATH anymore, qdbuscpp2xml has been fixed

* Mon Mar 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.80.3-3
- +eXecute perms for %%{_prefix}/lib/*

* Fri Feb 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-2
- rebuild for patched FindKDE4Internal.cmake

* Wed Feb 21 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-1
- update to 3.80.3
- update and improve parallel-installability patch
- drop obsolete joydevice.h patch
- remove translations of "KDE" without the "4" from kde4.desktop
- resync BR and -devel Requires
- don't set LD_LIBRARY_PATH
- set QT4DIR and PATH so CMake's direct $QT4DIR/qdbuscpp2xml calls work
- fix missing underscore in _datadir
- install kde4.desktop in install, not prep
- fix invalid syntax in kde4.desktop

* Wed Nov 29 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.3.20061003svn
- dropped -DCMAKE_SKIP_RPATH=TRUE from cmake
- compiling with QA_RPATHS=0x0003; export QA_RPATHS

* Sun Nov 26 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.2.20061003svn
- parallel build support
- added -DCMAKE_SKIP_RPATH=TRUE to cmake to skip rpath
- dropped qt4-devel >= 4.2.0, kdelibs4-devel as BR
- spec file cleanups and added clean up in %%install
- fixed PATH for libkdecore.so.5; cannot open shared object file;
- added Logitech mouse support
- added dbus-devel, hal-devel and more as BR
- fixed broken joydevice.h - Kevin Kofler
- added file kde4.desktop

* Sun Oct 08 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.2-0.1.20061003svn
- first Fedora RPM (parts borrowed from the OpenSUSE kdebase 4 RPM and the Fedora kdebase 3 RPM)
- apply parallel-installability patch
